window.addEventListener('load', function () {
    if (window.location.has || window.location.search.includes('highlight=')) {
        setTimeout(function () {
            let target=null;
            if (window.location.hash) {
                target = document.querySelector(window.location.hash)
            }
            if (!target && window.location.search.includes('highlight=')) {
                target = document.querySelector('span.highlighted')
            }
            if (target) {
                target.scrollIntoView({behavior: 'auto', block: 'start'})
            }
        }, 100)
    }
})